## mythtv-dmo 35.0+really35+fixes20251105.git7e93f0d

=== docs/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

find_program(DOXYGEN_EXECUTABLE NAMES doxygen)
message(VERBOSE "Found doxygen: ${DOXYGEN_EXECUTABLE}")
if(NOT DOXYGEN_EXECUTABLE)
  return()
endif()

#
# Link to the doxygen-create-developer-docs.cfg file so it can be easily
# referenced in the destination directory.
#
file(CREATE_LINK ${CMAKE_CURRENT_SOURCE_DIR}/doxygen-create-developer-docs.cfg
     ${CMAKE_CURRENT_BINARY_DIR}/doxygen-create-developer-docs.cfg
     COPY_ON_ERROR SYMBOLIC)

#
# Create a version of the doxygen-paths.cfg.inc file in the destination
# directory, modified to handle an out-of-tree build.
#
set(SOURCES_LIST
    "${CMAKE_CURRENT_SOURCE_DIR}/doxygen-architecture-document.cpp"
    "${PROJECT_SOURCE_DIR}/libs"
    "${PROJECT_SOURCE_DIR}/programs" "${PROJECT_SOURCE_DIR}/../mythplugins")
list(JOIN SOURCES_LIST " " DOXYGEN_SOURCES)

set(DOXYGEN_EXCLUDES "${PROJECT_SOURCE_DIR}/libs/libmythmpeg2")

set(DOXYGEN_STRIP_FROM_PATH "${PROJECT_SOURCE_DIR}/../")

set(STRIP_FROM_INC_PATH_LIST
    "${PROJECT_SOURCE_DIR}/libs"
    "${PROJECT_SOURCE_DIR}/programs" "${PROJECT_SOURCE_DIR}/../")
list(JOIN STRIP_FROM_INC_PATH_LIST " " DOXYGEN_STRIP_FROM_INC_PATH)

configure_file(doxygen-paths.cfg.inc.in doxygen-paths.cfg.inc @ONLY)

# Command to create documentation
add_custom_command(
  OUTPUT doxygen-dev-docs/doxygen.stamp
  DEPENDS doxygen-create-developer-docs.cfg
  BYPRODUCTS doxygen-warnings.txt
  COMMAND ${CMAKE_COMMAND} -E echo
          "Generating API documentation.  This takes a long time..."
  COMMAND ${DOXYGEN_EXECUTABLE} doxygen-create-developer-docs.cfg
  COMMAND cmake -E touch doxygen-dev-docs/doxygen.stamp
  VERBATIM USES_TERMINAL)

# Target used to invoke command.
add_custom_target(docs DEPENDS doxygen-dev-docs/doxygen.stamp)

=== docs/Makefile ===
TARGETS = devdocs

DOXYGEN_SOURCES=doxygen-architecture-document.cpp ../libs ../programs ../../mythplugins
DOXYGEN_EXCLUDES=../libs/libmythmpeg2
DOXYGEN_STRIP_FROM_PATH=../../
DOXYGEN_STRIP_FROM_INC_PATH=../libs ../programs ../../

all: $(TARGETS)
clean:
	rm -Rf doxygen-paths.cfg.inc doxygen-dev-docs doxygen-warnings.txt

distclean: clean

doxygen-paths.cfg.inc: doxygen-paths.cfg.inc.in
	@echo Creating doxygen-paths.cfg.inc
	@sed -e "s#@DOXYGEN_SOURCES@#${DOXYGEN_SOURCES}#g" \
	    -e "s#@DOXYGEN_EXCLUDES@#${DOXYGEN_EXCLUDES}#g" \
	    -e "s#@DOXYGEN_STRIP_FROM_PATH@#${DOXYGEN_STRIP_FROM_PATH}#g" \
	    -e "s#@DOXYGEN_STRIP_FROM_INC_PATH@#${DOXYGEN_STRIP_FROM_INC_PATH}#g" \
	    doxygen-paths.cfg.inc.in > doxygen-paths.cfg.inc

devdocs: doxygen-paths.cfg.inc
	doxygen doxygen-create-developer-docs.cfg

=== themes/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

install(FILES mythuitheme.dtd
        DESTINATION ${CMAKE_INSTALL_DATADIR}/mythtv/themes)

install(DIRECTORY fonts DESTINATION ${CMAKE_INSTALL_DATADIR}/mythtv)

install(
  DIRECTORY default
            default-wide
            classic
            DVR
            Slave
            Terra
            defaultmenu
            mediacentermenu
            MythCenter
            MythCenter-wide
  DESTINATION ${CMAKE_INSTALL_DATADIR}/mythtv/themes)

=== libs/libmythmetadata/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

set(HEADERS_TO_INSTALL
    cleanup.h
    bluraymetadata.h
    dbaccess.h
    dirscan.h
    globals.h
    imagemanager.h
    imagemetadata.h
    imagetypes.h
    lyricsdata.h
    metadatacommon.h
    metadatadownload.h
    metadatafactory.h
    metadatagrabber.h
    metadataimagedownload.h
    metaio.h
    metaioavfcomment.h
    metaioflacvorbis.h
    metaioid3.h
    metaiomp4.h
    metaiooggvorbis.h
    metaiotaglib.h
    metaiowavpack.h
    musicfilescanner.h
    musicmetadata.h
    musicutils.h
    mythmetaexp.h
    mythuiimageresults.h
    mythuimetadataresults.h
    parentalcontrols.h
    quicksp.h
    videometadata.h
    videometadatalistmanager.h
    videoscan.h
    videoutils.h)

add_library(
  mythmetadata
  ${HEADERS_TO_INSTALL}
  bluraymetadata.cpp
  cleanup.cpp
  dbaccess.cpp
  dirscan.cpp
  globals.cpp
  imagemanager.cpp
  imagemetadata.cpp
  imagescanner.cpp
  imagethumbs.cpp
  lyricsdata.cpp
  metadatacommon.cpp
  metadatadownload.cpp
  metadatafactory.cpp
  metadatagrabber.cpp
  metadataimagedownload.cpp
  metaio.cpp
  metaioavfcomment.cpp
  metaioflacvorbis.cpp
  metaioid3.cpp
  metaiomp4.cpp
  metaiooggvorbis.cpp
  metaiotaglib.cpp
  metaiowavpack.cpp
  musicfilescanner.cpp
  musicmetadata.cpp
  musicutils.cpp
  mythuiimageresults.cpp
  mythuimetadataresults.cpp
  parentalcontrols.cpp
  videometadata.cpp
  videometadatalistmanager.cpp
  videoscan.cpp
  videoutils.cpp)

target_compile_definitions(mythmetadata PRIVATE META_API)

target_include_directories(
  mythmetadata
  PRIVATE .
  PUBLIC $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/libs>
  INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/mythtv>)

target_link_libraries(
  mythmetadata
  PUBLIC Qt${QT_VERSION_MAJOR}::Core
         Qt${QT_VERSION_MAJOR}::Network
         Qt${QT_VERSION_MAJOR}::Sql
         Qt${QT_VERSION_MAJOR}::Xml
         Qt${QT_VERSION_MAJOR}::Widgets
         PkgConfig::EXIV2
         PkgConfig::TAGLIB
         mythbluray
         PkgConfig::LIBAVCODEC
         PkgConfig::LIBAVFORMAT
         PkgConfig::LIBAVUTIL
         PkgConfig::LIBSWRESAMPLE
         PkgConfig::LIBSWSCALE
         mythbase
         mythui
         mythservicecontracts
         mythtv
         myth)

install(TARGETS mythmetadata LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${HEADERS_TO_INSTALL}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mythtv/libmythmetadata)

=== programs/mythavtest/CMakeLists.txt ===
add_executable(mythavtest mythavtest.cpp mythavtest_commandlineparser.cpp
                          mythavtest_commandlineparser.h)

target_include_directories(mythavtest PRIVATE .)

target_link_libraries(mythavtest PUBLIC myth mythtv mythbase mythui)

install(TARGETS mythavtest RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== programs/mythmediaserver/CMakeLists.txt ===
add_executable(
  mythmediaserver
  controlrequesthandler.cpp controlrequesthandler.h mythmediaserver.cpp
  mythmediaserver_commandlineparser.cpp mythmediaserver_commandlineparser.h)

target_include_directories(mythmediaserver PRIVATE .)

target_link_libraries(mythmediaserver PUBLIC myth mythtv mythbase
                                             mythprotoserver)

install(TARGETS mythmediaserver RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== libs/libmyth/test/test_audioconvert/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_audioconvert test_audioconvert.cpp test_audioconvert.h)

target_include_directories(test_audioconvert PRIVATE . ../..)

target_link_libraries(test_audioconvert PUBLIC myth Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME AudioConvert COMMAND test_audioconvert)

=== libs/libmythbase/test/test_template/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_template test_template.cpp test_template.h)

target_include_directories(test_template PRIVATE . ../..)

target_link_libraries(test_template PUBLIC mythbase Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME Template COMMAND test_template)

=== libs/libmythbase/test/test_theme_version/CMakeLists.txt ===
#
# Copyright (C) 2025 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_theme_version test_theme_version.cpp test_theme_version.h)

target_include_directories(test_theme_version PRIVATE . ../..)

target_compile_definitions(
  test_theme_version PRIVATE TEST_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

target_link_libraries(test_theme_version PUBLIC mythbase Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME TestThemeVersion COMMAND test_theme_version)

=== libs/libmythmetadata/test/test_videometadata/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_videometadata test_videometadata.cpp test_videometadata.h)

target_include_directories(test_videometadata PRIVATE . ../..)

target_link_libraries(test_videometadata PUBLIC mythmetadata
                                                Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME VideoMetadata COMMAND test_videometadata)

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20251105.git7e93f0d-dmo3) unstable; urgency=medium

  * Add virtual-mysql-client as an alternative to default-mysql-client to
    make happy mysql users.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Nov 2025 23:11:27 +0100

mythtv-dmo (1:35.0+really35+fixes20251105.git7e93f0d-dmo2) unstable; urgency=medium

  * Only default-mysql-client is required as mythtv-common dependency

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Nov 2025 08:53:04 +0100

mythtv-dmo (1:35.0+really35+fixes20251105.git7e93f0d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Nov 2025 08:43:42 +0100

=== debian/control ===
Source: mythtv-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.mythtv.org/
Standards-Version: 4.7.2
Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev,
 amf-codec-headers, python3-pip,
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
 libvorbis-dev, default-libmysqlclient-dev, libfreetype-dev, libjack-jackd2-dev,
 libavc1394-dev [linux-any], libfaad-dev, liblirc-dev, qtbase5-dev,
 libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev, libxinerama-dev,
 quilt, libtag-dev, libiec61883-dev (>= 1.0.0) [linux-any], libxxf86vm-dev,
 po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo, libxrandr-dev,
 nasm [any-amd64 any-i386], libfftw3-dev, libfribidi-dev, libxml2-dev, libgl-dev,
 liba52-0.7.4-dev, libxvidcore-dev, libpulse-dev, libtool-bin, libvdpau-dev,
 libsctp-dev, libdrm-dev, libcec-dev (>= 2:6~), uuid-dev, python3-simplejson,
 libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev, python3-requests,
 nv-codec-headers [amd64 i386 arm64], libegl-dev, libx264-dev (>= 3:0.159~),
 libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2), libavahi-compat-libdnssd-dev,
 libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
 libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libx265-dev,
 libmp3lame-dev, libxnvctrl-dev, liblzo2-dev, cmake, libdav1d-dev, libaom-dev,
 python3-mysqldb, python3-lxml, libxml2-utils, libxcb-shm0-dev, libzip-dev,
 libsoundtouch-dev (>= 1.8.0~), glslang-dev, waylandpp-dev, libudfread-dev,
 pkgconf,  qtbase5-private-dev, clang [amd64 arm64], libxcb-xfixes0-dev,
 libxcb-shm0-dev, libxcb-shape0-dev, libexiv2-dev,
 libdbi-perl, libdbd-mysql-perl, libhttp-message-perl, libio-socket-inet6-perl,
 libwww-perl, libnet-upnp-perl, libxml-simple-perl, python3-setuptools,
 qtbase-abi-5-15-17,
 dh-linktree,
 libjs-jquery-ui, node-fortawesome-fontawesome-free,

Package: mythtv
Architecture: all
Pre-Depends: default-mysql-server | virtual-mysql-server,
Depends: mythtv-database (>= ${source:Version}), mythtv-frontend (>= ${source:Version}), mythtv-backend (>= ${source:Version}), ${misc:Depends},
Recommends: mythtv-doc,
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 This package will install a complete MythTV client/server environment on a
 single system, including a MySQL server.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.

Package: mythtv-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, python3:any, libxml-xpath-perl, default-mysql-client | virtual-mysql-client, adduser,
Recommends: mythtv-doc (>= ${source:Version}), python3-selinux,
Conflicts: mythlogserver,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Multi-Arch: foreign
Depends: mythtv-common (>= ${source:Version}), ${misc:Depends}, dbconfig-mysql | dbconfig-no-thanks, libdbd-mysql-perl, cron | cron-daemon,
Recommends: default-mysql-server | virtual-mysql-server,
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 This package sets up a MySQL database for use MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, sysvinit-utils (>= 3.05-4~), mythtv-transcode, python3:any, python3-pycurl, python3-mythtv,
Replaces: mythtv-common (<= 0.27.0-dmo2),
Recommends: mythtv-database, logrotate, xmltv-util, libmythtv-perl,
Suggests: mythtv-frontend, mythweb,
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, python3-mythtv,
Recommends: libmythtv-perl,
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ffmpeg,
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-35
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-mysql, procps, iputils-ping,
Recommends: udisks2, ${shlibs:Recommends},
Breaks: libmyth-31, libmyth-33, libmyth-34,
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libmyth-35 (= ${binary:Version}), ${misc:Depends},
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: libmythtv-perl
Architecture: all
Section: perl
Depends: ${perl:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, libwww-perl, libnet-upnp-perl, libio-socket-inet6-perl, libhttp-message-perl, libxml-simple-perl,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains Perl bindings to access mythtv datas.

Package: python3-mythtv
Architecture: all
Section: python
Conflicts: python-mythtv,
Replaces: python-mythtv,
Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-requests-cache, python3-simplejson, python3-dateutil,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for some python MythTV add-ons.

Package: php-mythtv
Architecture: all
Section: php
Depends: ${misc:Depends}, libapache2-mod-php | php,
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for using PHP based applications that
 connect to MythTV backends.

Package: mythffmpeg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Section: utils
Description: Special ffmpeg version for nuvexport
 Special ffmpeg version for nuvexport. This binary is linked against the
 libmythav* libraries and not libraries in libavc* packages.

Package: libmythavcodec61
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavcodec package for MythTV
 This package is only used by MythTV packages.

Package: libmythavdevice61
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavdevice package for MythTV
 This package is only used by MythTV packages.

Package: libmythavfilter10
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavfilter package for MythTV
 This package is only used by MythTV packages.

Package: libmythavformat61
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavformat package for MythTV
 This package is only used by MythTV packages.

Package: libmythavutil59
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libavutil package for MythTV
 This package is only used by MythTV packages.

Package: libmythpostproc58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libpostproc package for MythTV
 This package is only used by MythTV packages.

Package: libmythswscale8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: libswscale package for MythTV
 This package is only used by MythTV packages.

Package: libmythswresample5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: swresample package for MythTV
 This package is only used by MythTV packages.

Package: mythtv-transcode
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends},
Suggests: mythtv-backend, mytharchive,
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif

ifeq (noopt,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif
ifdef DEBUG_BUILD
	CONFIGURE_OPTS += --compile-type=debug
endif

ifeq (ccache,$(findstring ccache,$(PATH)))
	CONFIGURE_OPTS += --cc=/usr/lib/ccache/cc --cxx=/usr/lib/ccache/c++
endif

ifeq "$(DEB_BUILD_ARCH)" "i386"
	CONFIGURE_OPTS += --enable-vaapi
else
ifeq "$(DEB_BUILD_ARCH)" "amd64"
	CONFIGURE_OPTS += --enable-vaapi
else
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
        CONFIGURE_OPTS += --disable-altivec
else
ifeq "$(DEB_BUILD_ARCH)" "armhf"
        CONFIGURE_OPTS += --disable-mmal
endif
endif
endif
endif

MYTH_BINARY_VERSION = $(shell grep SOURCE_VERSION SRC_VERSION | cut -d'"' -f2 | cut -d'v' -f2)

# ffmpeg version
# cat external/FFmpeg/RELEASE

ifneq "$(MYTH_BINARY_VERSION)" "35.0"
	exit 1
endif

%:
	dh $@ --with quilt,linktree -XREADME.license

override_dh_auto_configure:
	./configure \
	--arch=$(DEB_HOST_GNU_CPU) \
	--compile-type=release \
	--disable-ffprobe \
	--disable-qtwebkit \
	--enable-hdhomerun \
	--enable-libdav1d \
	--enable-libmp3lame \
	--enable-libvpx \
	--enable-libx264 \
	--enable-libx265 \
	--enable-libxvid \
	--enable-nonfree \
	--enable-pic \
	--enable-vulkan \
	--extra-cflags="$(CFLAGS)" \
	--libdir-name=lib/$(DEB_HOST_MULTIARCH) \
	--perl-config-opts=INSTALLDIRS=vendor \
	--prefix=/usr \
	--runprefix=/usr \
	--with-bindings="perl python php" \
	$(CONFIGURE_OPTS)

## --enable-libglslang
##	--enable-libmpeg2external \

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	perl -i -pe 's,CONFIG_THUMB 0,CONFIG_THUMB 1,' config.h
endif

#	exit 1

override_dh_auto_install:
	$(MAKE) install PREFIX=usr INSTALL_ROOT=$(CURDIR)/debian/tmp/

#	exit 1

# Not needed
	rm debian/tmp/usr/bin/mythwikiscripts
	find debian/tmp -name .npmignore -delete

	find debian/tmp/usr/share -type f -exec chmod 0644 {} \;

# Keep executable
	chmod +x debian/tmp/usr/share/mythtv/*.pl
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/ttvdb*.py
	chmod +x debian/tmp/usr/share/mythtv/metadata/Movie/tmdb*.py
	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.py
	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.pl
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tmdb3tv.py
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tvmaze.py
	chmod +x debian/tmp/usr/share/mythtv/hardwareprofile/sendProfile.py

override_dh_install:
	rm debian/tmp/usr/share/mythtv/fonts/*.txt

# Not needed. All svg are already in the primeicons.svg file
	rm -rf debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/raw-svg
	rm -rf debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/demo-files
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/demo*
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/CHANGELOG.md
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/README.md
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/package.json
	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/selection.json

	dh_install -X.a -XCOPYING -XLICENSE

	dh_install -pmythtv-frontend debian/mythtv.desktop usr/share/applications
	dh_install -XCOPYING -XLICENSE -pmythtv-backend debian/mythtv-setup.desktop usr/share/applications

	rm -f debian/mythtv/usr/share/mythtv/setup.xml

override_dh_installdocs:
	dh_installdocs -XCOPYING -A README debian/README.Debian AUTHORS

override_dh_strip:
ifneq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -a
endif

override_dh_installexamples-indep:
	dh_installexamples -pmythtv-doc contrib/*

override_dh_installinit:
	dh_installinit -u'defaults 40 16'

override_dh_compress-arch:
	dh_compress -X.py -X.pl

override_dh_fixperms-arch:
	dh_fixperms -X.py -X.pl

override_dh_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

	dh_quilt_unpatch

	debconf-updatepo

	dh_clean debian/libmythtv-recommends-dummy.so \
	bindings/perl/Makefile.PL \
	bindings/python/MythTV.egg-info/* \
	bindings/python/MythTV/services_api/mythversions.py \
	bindings/python/MythTV/_versions.py \
	bindings/python/setup.cfg \
	config.fate \
	config.log \
	external/FFmpeg/doc/config.texi \
	external/FFmpeg/ffbuild/bin2c_host.d \
	external/FFmpeg/ffbuild/bin2c_host.o \
	external/FFmpeg/libavfilter/cuda/load_helper.d \
	external/FFmpeg/libavfilter/cuda/load_helper.o \
	external/FFmpeg/mythffmpeg \
	external/FFmpeg/mythffprobe \
	libs/libmythbase/mythversion.h \
	settings2.pro \
	src

	${RM} -rf android-package-source
	find -name moc -delete
	find -name obj -delete
	find -name .gitignore -delete
	find -name .gitattributes -delete

override_dh_shlibdeps: debian/libmythtv-recommends-dummy.so
	dh_shlibdeps

	dpkg-shlibdeps -dRecommends -edebian/libmythtv-recommends-dummy.so -xlibc6 -O >> debian/libmyth-35.substvars

debian/libmythtv-recommends-dummy.so:
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	-lcec \
	$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_dwz override_dh_quilt_unpatch override_dh_auto_test override_dh_auto_clean:

## mythtv-dmo 35.0+really35+fixes20260101.git805e05b

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20260101.git805e05b-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 16:11:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mythtv-dmo
 Section: graphics
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev,
  amf-codec-headers, python3-pip,
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
@@ -290,3 +289,4 @@
 Suggests: mythtv-backend, mytharchive,
 Description: Utilities used for transcoding MythTV tasks
  Some utilities are applicable for both a frontend or a backend machine.
+ This package provides utilities that can be used on both without

## mythtv-dmo 35.0+really35+fixes20260209.giteb5dfad

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20260209.giteb5dfad-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libvpx12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Feb 2026 01:02:40 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libsctp-dev, libdrm-dev, libcec-dev (>= 2:6~), uuid-dev, python3-simplejson,
  libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev, python3-requests,
  nv-codec-headers [amd64 i386 arm64], libegl-dev, libx264-dev (>= 3:0.159~),
- libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2), libavahi-compat-libdnssd-dev,
+ libvpx-dev (>= 1.16~), libass-dev (>= 0.10.2), libavahi-compat-libdnssd-dev,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libx265-dev,
  libmp3lame-dev, libxnvctrl-dev, liblzo2-dev, cmake, libdav1d-dev, libaom-dev,

## mythtv-dmo 35.0+really35+fixes20260214.gitcf1312c

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20260214.gitcf1312c-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Feb 2026 09:03:11 +0100

mythtv-dmo (1:35.0+really35+fixes20260101.git805e05b-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Jan 2026 10:54:06 +0100

mythtv-dmo (1:35.0+really35+fixes20251105.git7e93f0d-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream bugfix release from git repository.
  * From unstable:
    As mysqlcheck isn't always installed by default the
    /etc/cron.weekly/mythtv-database script fail, then add mariadb-client to
    "default-mysql-client | virtual-mysql-client" alternative and remove
    "mariadb-client-compat" from Suggests (Thanks to Arne Nordmark for the
    bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Nov 2025 11:53:07 +0100

mythtv-dmo (1:35.0+really35+fixes20250622.git5f093cd-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Jun 2025 07:22:39 +0200

mythtv-dmo (1:35.0+really35+fixes20250529.git70fe273-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jun 2025 15:06:25 +0200

mythtv-dmo (1:35.0+really35+fixes20250518.git1f9b23e-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream bugfix release from git repository.
  * Restore upstream ChangeLog since the 35 release

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 May 2025 09:59:12 +0200

mythtv-dmo (1:35.0+really35+fixes20250501.git9e66243fbd-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 May 2025 16:31:03 +0200

mythtv-dmo (1:35.0+really35+fixes20250315.git30ba688773-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream bugfix release from git repository.
  * mythtv-database : Removes 'default-mysql-client | virtual-mysql-client'
    dependencies (already in mythtv-common dependencies)
  * mythtv-common : Add mariadb-client-compat in Suggests
  * python3-mythtv : Remove unneeded python3-future dependency
  * Add python3-setuptools to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Mar 2025 09:26:57 +0100

mythtv-dmo (1:35.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Mar 2025 16:45:52 +0100

mythtv-dmo (1:34.0+really34+fixes20250116.gitf4cbdd37a5-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Jan 2025 16:29:11 +0100

mythtv-dmo (1:34.0+really34+fixes20241111.gitc376437559-dmo0~bpo12+2) stable-backports; urgency=medium

  * Build with libx265-215

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Dec 2024 08:53:06 +0100

mythtv-dmo (1:34.0+really34+fixes20241111.gitc376437559-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Nov 2024 09:15:14 +0100

mythtv-dmo (1:34.0+really34+fixes20240707.gitc63d023aa8-dmo0~bpo12+1) stable-backports; urgency=medium

  * Starts to package git code from fixes/34 branch
  * Add 'Type=notify' to mythtv-backend.service (Thanks to Ian Campbell for
    the bug report)
  * Remove unneeded svg and demo files from
    /usr/share/mythtv/html/3rdParty/primeicons-5.0.0
  * Don't need to define Environment=HOME=/var/lib/mythtv in mythtv-backend.service

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Jul 2024 18:28:01 +0200

mythtv-dmo (1:34.0+really34-dmo0~bpo12+4) stable-backports; urgency=medium

  * Build with libx265-209

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Apr 2024 16:42:11 +0200

mythtv-dmo (1:34.0+really34-dmo0~bpo12+3) stable-backports; urgency=medium

  * libmythtv-perl should Depends on libxml-simple-perl (Thanks James
    Abernathy for the bug report)
  * Add libmythtv-perl in Recommends for mythtv-backend and mythtv-frontend
    packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Feb 2024 17:06:36 +0100

mythtv-dmo (1:34.0+really34-dmo0~bpo12+2) stable-backports; urgency=medium

  * Build with libdav1d7

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Feb 2024 11:50:16 +0100

mythtv-dmo (1:34.0+really34-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Feb 2024 10:26:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,6 @@
 	--arch=$(DEB_HOST_GNU_CPU) \
 	--compile-type=release \
 	--disable-ffprobe \
-	--disable-qtwebkit \
 	--enable-hdhomerun \
 	--enable-libdav1d \
 	--enable-libmp3lame \
@@ -74,12 +73,14 @@
 	perl -i -pe 's,CONFIG_THUMB 0,CONFIG_THUMB 1,' config.h
 endif
 
+ifeq "$(DEB_BUILD_ARCH)" "armel"
+	perl -i -pe 's,-DHAVE_CONFIG_H,-DHAVE_CONFIG_H -DHAVE_PTHREAD_H,' external/libudfread/Makefile
+endif
+
 #	exit 1
 
 override_dh_auto_install:
 	$(MAKE) install PREFIX=usr INSTALL_ROOT=$(CURDIR)/debian/tmp/
-
-#	exit 1
 
 # Not needed
 	rm debian/tmp/usr/bin/mythwikiscripts
@@ -109,7 +110,7 @@
 	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/package.json
 	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/selection.json
 
-	dh_install -X.a -XCOPYING -XLICENSE
+	dh_install -X.a -XCOPYING -XLICENSE -Xusr/share/mythtv/themes/MythCenter-wide/fonts
 
 	dh_install -pmythtv-frontend debian/mythtv.desktop usr/share/applications
 	dh_install -XCOPYING -XLICENSE -pmythtv-backend debian/mythtv-setup.desktop usr/share/applications

## mythtv-dmo 36.0

=== programs/mythfrontend/test/test_videolist/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(
  test_videolist ../../upnpscanner.cpp ../../videofilter.cpp
                 ../../videolist.cpp test_videolist.cpp test_videolist.h)

target_include_directories(test_videolist PRIVATE . ../..)

target_link_libraries(test_videolist PUBLIC mythmetadata
                                            Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME VideoList COMMAND test_videolist)

=== debian/changelog ===
mythtv-dmo (1:36.0-dmo3) unstable; urgency=medium

  * Build with Qt5 (Thanks to Ian Campbell for thr bug report)
    See :
    https://github.com/MythTV/mythtv/issues/754
    https://github.com/MythTV/mythtv/pull/984

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Feb 2026 18:22:38 +0100

mythtv-dmo (1:36.0-dmo2) unstable; urgency=medium

  * libmyth-36 don't need to Breaks: with older libmyth-* packages

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Feb 2026 15:24:26 +0100

mythtv-dmo (1:36.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Feb 2026 08:39:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  amf-codec-headers, python3-pip,
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
  libvorbis-dev, default-libmysqlclient-dev, libfreetype-dev, libjack-jackd2-dev,
- libavc1394-dev [linux-any], libfaad-dev, liblirc-dev, qtbase5-dev,
- libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev, libxinerama-dev,
+ libavc1394-dev [linux-any], libfaad-dev, liblirc-dev, libsamplerate0-dev,
+ libasound2-dev [linux-any], libdts-dev, libxinerama-dev, libdmrconf-dev,
  quilt, libtag-dev, libiec61883-dev (>= 1.0.0) [linux-any], libxxf86vm-dev,
  po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo, libxrandr-dev,
  nasm [any-amd64 any-i386], libfftw3-dev, libfribidi-dev, libxml2-dev, libgl-dev,
@@ -19,17 +19,26 @@
  nv-codec-headers [amd64 i386 arm64], libegl-dev, libx264-dev (>= 3:0.159~),
  libvpx-dev (>= 1.16~), libass-dev (>= 0.10.2), libavahi-compat-libdnssd-dev,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
- libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libx265-dev,
+ libgnutls28-dev | gnutls-dev, libbluray-dev, libx265-dev, libudfread-dev,
  libmp3lame-dev, libxnvctrl-dev, liblzo2-dev, cmake, libdav1d-dev, libaom-dev,
  python3-mysqldb, python3-lxml, libxml2-utils, libxcb-shm0-dev, libzip-dev,
- libsoundtouch-dev (>= 1.8.0~), glslang-dev, waylandpp-dev, libudfread-dev,
- pkgconf,  qtbase5-private-dev, clang [amd64 arm64], libxcb-xfixes0-dev,
- libxcb-shm0-dev, libxcb-shape0-dev, libexiv2-dev,
- libdbi-perl, libdbd-mysql-perl, libhttp-message-perl, libio-socket-inet6-perl,
- libwww-perl, libnet-upnp-perl, libxml-simple-perl, python3-setuptools,
- qtbase-abi-5-15-17,
+ libsoundtouch-dev (>= 1.8.0~), glslang-dev, waylandpp-dev, pkgconf,
+ clang [amd64 arm64], libxcb-xfixes0-dev, libxcb-shm0-dev, libxcb-shape0-dev,
+ libexiv2-dev, libdbi-perl, libdbd-mysql-perl, libhttp-message-perl,
+ libio-socket-inet6-perl, libwww-perl, libnet-upnp-perl, libxml-simple-perl,
+ python3-setuptools,
+ qtbase5-dev, libqt5opengl5-dev, qtbase-abi-5-15-17, qtbase5-private-dev, 
  dh-linktree,
  libjs-jquery-ui, node-fortawesome-fontawesome-free,
+
+# Qt5
+# qtbase5-dev, libqt5opengl5-dev, qtbase-abi-5-15-15, qtbase5-private-dev
+# libmyth-36 dependency :
+# libqt5sql5-mysql
+# Qt6 
+# qt6-base-dev, qt6-base-private-dev, qt6-webengine-dev [amd64 arm64 armhf i386],
+# libmyth-36 dependency : 
+# libqt6sql6-mysql
 
 Package: mythtv
 Architecture: all
@@ -140,14 +149,14 @@
  For a complete installation of all MythTV components, install the 'mythtv'
  package.
 
-Package: libmyth-35
+Package: libmyth-36
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-mysql, procps, iputils-ping,
 Recommends: udisks2, ${shlibs:Recommends},
-Breaks: libmyth-31, libmyth-33, libmyth-34,
+Breaks: libmyth-31, libmyth-33, libmyth-34, libmyth-35,
 Description: Common library code for MythTV and add-on modules (runtime)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -162,7 +171,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libmyth-35 (= ${binary:Version}), ${misc:Depends},
+Depends: libmyth-36 (= ${binary:Version}), ${misc:Depends},
 Description: Common library code for MythTV and add-on modules (development)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -211,7 +220,7 @@
  Special ffmpeg version for nuvexport. This binary is linked against the
  libmythav* libraries and not libraries in libavc* packages.
 
-Package: libmythavcodec61
+Package: libmythavcodec62
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -220,7 +229,7 @@
 Description: libavcodec package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavdevice61
+Package: libmythavdevice62
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -229,7 +238,7 @@
 Description: libavdevice package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavfilter10
+Package: libmythavfilter11
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -238,7 +247,7 @@
 Description: libavfilter package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavformat61
+Package: libmythavformat62
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -247,7 +256,7 @@
 Description: libavformat package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavutil59
+Package: libmythavutil60
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -256,31 +265,22 @@
 Description: libavutil package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythpostproc58
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${shlibs:Depends}, ${misc:Depends},
-Description: libpostproc package for MythTV
- This package is only used by MythTV packages.
-
-Package: libmythswscale8
+Package: libmythswresample6
+Architecture: any
+Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Description: swresample package for MythTV
+ This package is only used by MythTV packages.
+
+Package: libmythswscale9
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: libswscale package for MythTV
- This package is only used by MythTV packages.
-
-Package: libmythswresample5
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${shlibs:Depends}, ${misc:Depends},
-Description: swresample package for MythTV
  This package is only used by MythTV packages.
 
 Package: mythtv-transcode
@@ -289,4 +289,3 @@
 Suggests: mythtv-backend, mytharchive,
 Description: Utilities used for transcoding MythTV tasks
  Some utilities are applicable for both a frontend or a backend machine.
- This package provides utilities that can be used on both without

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export LC_ALL=C.UTF-8
 
 ifeq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	DEBUG_BUILD=1
@@ -36,7 +38,7 @@
 # ffmpeg version
 # cat external/FFmpeg/RELEASE
 
-ifneq "$(MYTH_BINARY_VERSION)" "35.0"
+ifneq "$(MYTH_BINARY_VERSION)" "36.0"
 	exit 1
 endif
 
@@ -47,7 +49,6 @@
 	./configure \
 	--arch=$(DEB_HOST_GNU_CPU) \
 	--compile-type=release \
-	--disable-ffprobe \
 	--enable-hdhomerun \
 	--enable-libdav1d \
 	--enable-libmp3lame \
@@ -55,8 +56,8 @@
 	--enable-libx264 \
 	--enable-libx265 \
 	--enable-libxvid \
-	--enable-nonfree \
 	--enable-pic \
+	--qmake=qmake5 \
 	--enable-vulkan \
 	--extra-cflags="$(CFLAGS)" \
 	--libdir-name=lib/$(DEB_HOST_MULTIARCH) \
@@ -73,14 +74,12 @@
 	perl -i -pe 's,CONFIG_THUMB 0,CONFIG_THUMB 1,' config.h
 endif
 
-ifeq "$(DEB_BUILD_ARCH)" "armel"
-	perl -i -pe 's,-DHAVE_CONFIG_H,-DHAVE_CONFIG_H -DHAVE_PTHREAD_H,' external/libudfread/Makefile
-endif
-
 #	exit 1
 
 override_dh_auto_install:
 	$(MAKE) install PREFIX=usr INSTALL_ROOT=$(CURDIR)/debian/tmp/
+
+#	exit 1
 
 # Not needed
 	rm debian/tmp/usr/bin/mythwikiscripts
@@ -102,15 +101,13 @@
 	rm debian/tmp/usr/share/mythtv/fonts/*.txt
 
 # Not needed. All svg are already in the primeicons.svg file
-	rm -rf debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/raw-svg
-	rm -rf debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/demo-files
-	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/demo*
-	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/CHANGELOG.md
-	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/README.md
-	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/package.json
-	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons-*/selection.json
+	rm -rf debian/tmp/usr/share/mythtv/html/3rdParty/primeicons/raw-svg
+	rm -rf debian/tmp/usr/share/mythtv/html/3rdParty/primeicons/demo-files
+	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons/CHANGELOG.md
+	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons/README.md
+	rm debian/tmp/usr/share/mythtv/html/3rdParty/primeicons/package.json
 
-	dh_install -X.a -XCOPYING -XLICENSE -Xusr/share/mythtv/themes/MythCenter-wide/fonts
+	dh_install -X.a -XCOPYING -XLICENSE
 
 	dh_install -pmythtv-frontend debian/mythtv.desktop usr/share/applications
 	dh_install -XCOPYING -XLICENSE -pmythtv-backend debian/mythtv-setup.desktop usr/share/applications
